org.eclipse.viatra.query.runtime.matchers.util

## Enum TimelyMemory.SignChange

- java.lang.Object
- - java.lang.Enum<TimelyMemory.SignChange>
  - - org.eclipse.viatra.query.runtime.matchers.util.TimelyMemory.SignChange

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TimelyMemory.SignChange>
  Enclosing class:
    TimelyMemory<Timestamp extends java.lang.Comparable<Timestamp>>

      protected static enum TimelyMemory.SignChange
      extends java.lang.Enum<TimelyMemory.SignChange>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BECAME_POSITIVE`
    `BECAME_ZERO`
    `IRRELEVANT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TimelyMemory.SignChange` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TimelyMemory.SignChange[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BECAME_POSITIVE

          public static final TimelyMemory.SignChange BECAME_POSITIVE

    - #### BECAME_ZERO

          public static final TimelyMemory.SignChange BECAME_ZERO

    - #### IRRELEVANT

          public static final TimelyMemory.SignChange IRRELEVANT

  - ### Method Detail

    - #### values

          public static TimelyMemory.SignChange[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TimelyMemory.SignChange c : TimelyMemory.SignChange.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TimelyMemory.SignChange valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null